dnsjit.output.respdiff(3)

NAME
dnsjit.output.respdiff - Output to respdiff LMDB

SYNOPSIS
  local output = require("dnsjit.output.respdiff").new("/path/to/lmdb")

DESCRIPTION
Output to an LMDB database (format 2018-05-21) that can be used by respdiff to compare the responses found in the input data with the responses received. The receive function expects to get a chain of 2 or 3 core.object.payload. For a completed query; The top of the chain is the query, after it the original response and then the received response. For a timed out query; The top of the chain is the query, after it the original response.

  Functions

Respdiff.new(path, origname, recvname, mapsize)
    Create a new Respdiff output and created the LMDB database in the directory path. The origname and recvname are used to populate the meta table, these names should be the same as what is configured in respdiff.cfg. Optional mapsize can be given to increase the database size beyond the default size of 10MB.

Respdiff:log()
    Return the Log object to control logging of this instance or module.

Respdiff:receive()
    Return the C functions and context for receiving objects.

Respdiff:commit(start_time, end_time)
    Commit the LMDB transactions, can not store any more objects after this call. The given start_time and end_time are used to fill the meta table.

SEE ALSO
respdiff https://gitlab.nic.cz/knot/respdiff

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net